Skills

Preview reverting a skill run

GET
/skill-runs/{run_id}/revert-preview

Preview what taking back one finished Skill run would change: pages and links are reverted, integration calls are listed for manual follow-up.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

run_id*string

Resource identifier: run_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/skill-runs/123e4567-e89b-42d3-a456-426614174000/revert-preview"
{  "units": [    {      "key": "summary",      "target_kind": "example",      "target_id": "example",      "label": "Customer documents",      "reversibility": "example",      "outcome": "example",      "reason": "example",      "warnings": {},      "effects": []    }  ],  "counts": {},  "warnings": {    "pending_invocations": 0  },  "undo": {    "available": false,    "blocked_reason": "example"  },  "reversal": {    "id": "123e4567-e89b-42d3-a456-426614174000",    "status": "ACTIVE",    "requested_by_id": "123e4567-e89b-42d3-a456-426614174000",    "skip_conflicts": false,    "summary": {},    "error_code": "example",    "created_at": "2026-09-04T12:00:00Z",    "started_at": "2026-09-04T12:00:00Z",    "completed_at": "2026-09-04T12:00:00Z"  }}